Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.adapters.mqseries
Class MQPlatform

`java.lang.Object
DatasourcePlatform
oracle.toplink.eis.EISPlatform
oracle.toplink.eis.adapters.jms.JMSPlatform
oracle.toplink.eis.adapters.mqseries.MQPlatform`

public class MQPlatform
extends JMSPlatform

This class is an extension of the generic JMSPlatform. It is for clarity and consistency. Using the generic JMS platform for MQSeries access is not intuitive, and for EIS access, both a connection specification and platform class should be provided.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.eis.adapters.jms.JMSPlatform
`DESTINATION, DESTINATION_URL, MODE, RECEIVE, REPLY_TO_DESTINATION, REPLY_TO_DESTINATION_URL, SELECTOR, SEND, SEND_RECEIVE, TIMEOUT`

Constructor Summary
`MQPlatform()` This default constructor simply calls the JMSPlatform constructor.

Methods inherited from class oracle.toplink.eis.adapters.jms.JMSPlatform
`buildInteractionSpec, createDatabaseRowFromDOMRecord, createDOMRecord, setDOMInRecord`

Methods inherited from class oracle.toplink.eis.EISPlatform
`appendParameter, buildRows, createInputRecord, createOutputRecord, getRecordConverter, getValueFromRecord, isDOMRecordSupported, isIndexedRecordSupported, isMappedRecordSupported, requiresAutoCommit, setIsDOMRecordSupported, setIsIndexedRecordSupported, setIsMappedRecordSupported, setRecordConverter, setRequiresAutoCommit, setShouldConvertDataToStrings, setSupportsLocalTransactions, setValueInRecord, shouldConvertDataToStrings, supportsLocalTransactions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MQPlatform

    public MQPlatform()

  This default constructor simply calls the JMSPlatform constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD